Bug 490747 - ibus-anthy Muhenkan (no-conversion) key does not undo conversion
ibus-anthy Muhenkan (no-conversion) key does not undo conversion
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus-anthy (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481098
  Show dependency treegraph
 
Reported: 2009-03-17 15:53 EDT by Warren Togami
Modified: 2009-04-02 03:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 03:50:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-03-17 15:53:29 EDT
http://en.wikipedia.org/wiki/Language_input_keys
The button on the Japanese keyboard labelled 無変換 seems to do nothing with ibus-anthy.  It is supposed to force non-conversion of a particular word.

ibus-0.1.1.20090203-1.fc10.x86_64
ibus-anthy-0.1.1.20090203-1.fc10.x86_64
Comment 1 Jens Petersen 2009-03-30 05:21:41 EDT
Muhenkan only needs to work in preedit btw - I don't think reverse conversion is expected.

Here is an input example:

Ctrl-Space => anthy
a s a => あさ (pre-edit)
Henkan => 朝 (pre-edit)
Muhenkan => あさ (pre-edit)

Additionally, further presses of Muhenkan rotate through: hiragana, katakana, narrow katakana, double-width alpha, single-width ascii.
Comment 2 Peng Huang 2009-04-02 03:50:47 EDT
Fixed in ibus-anthy-1_1_0_20090402-1_fc11

Note You need to log in before you can comment on or make changes to this bug.